Bug 234673 - sysutils/ipfs-go: add optional ifps_go_path to set IPFS_PATH when running
Summary: sysutils/ipfs-go: add optional ifps_go_path to set IPFS_PATH when running
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Hixson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-06 22:28 UTC by David Bolcsfoldi
Modified: 2019-01-08 02:13 UTC (History)
0 users

See Also:
jhixson: maintainer-feedback+


Attachments
update to files/ipfs-go.in for ipfs_go_path (1.27 KB, patch)
2019-01-06 22:28 UTC, David Bolcsfoldi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Bolcsfoldi 2019-01-06 22:28:52 UTC
Created attachment 200849 [details]
update to files/ipfs-go.in for ipfs_go_path

Current rc.d/ipfs-go only support repo located in ~%%IPFS_GO_USER%%/.ipfs location, in my particular setup I have user accounts and large storage on separate mounts.

The ipfs-go binary supports setting the location the ipfs repo using a IPFS_PATH environment variable and the patch attached adds support for (optionally) setting the IPFS_PATH environment variable via ipfs_go_path flag in rc.conf.
Comment 1 John Hixson freebsd_committer 2019-01-07 17:42:01 UTC
I've slightly modified your patch to actually work ;-) You can find it here: 

https://reviews.freebsd.org/D18776

Once it gets reviewed I will commit it. Thanks for the patch.
Comment 2 commit-hook freebsd_committer 2019-01-08 02:12:35 UTC
A commit references this bug:

Author: jhixson
Date: Tue Jan  8 02:11:54 UTC 2019
New revision: 489638
URL: https://svnweb.freebsd.org/changeset/ports/489638

Log:
  sysutils/ipfs-go: allow IPFS_PATH to be set

  PR:	234673
  Submitted by:	david@bolcsfoldi.com
  Reviewed by:	araujo (mentor)
  Approved by:	araujo (mentor)

Changes:
  head/sysutils/ipfs-go/Makefile
  head/sysutils/ipfs-go/files/ipfs-go.in